# TextDecorationStyle enum

The style in which to draw a text decoration

## Constants

dashed → const TextDecorationStyle

  Draw a dashed line

  `const TextDecorationStyle(3)`
dotted → const TextDecorationStyle

  Draw a dotted line

  `const TextDecorationStyle(2)`
double → const TextDecorationStyle

  Draw two lines

  `const TextDecorationStyle(1)`
solid → const TextDecorationStyle

  Draw a solid line

  `const TextDecorationStyle(0)`
values → const List<TextDecorationStyle>

  A constant List of the values in this enum, in order of their declaration.

  `const List<TextDecorationStyle>`
wavy → const TextDecorationStyle

  Draw a sinusoidal line

  `const TextDecorationStyle(4)`

## Properties

index → int

  The integer index of this enum.

  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited